Extending Qt Creator Manual | FilePageFactory

Extending Qt Creator Manual 4.7.1

# FilePageFactory Class

(ProjectExplorer::Internal::FilePageFactory)

- List of all members, including inherited members

## Public Functions

| FilePageFactory()
Utils::WizardPage * | create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data) override
bool | validateData(int typeId, const QVariant &data, int *errorMessage) override

## Member Function Documentation

### FilePageFactory::FilePageFactory()

Default constructs an instance of FilePageFactory.

### Utils::WizardPage *FilePageFactory::create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data)

### bool FilePageFactory::validateData(int typeId, const QVariant &data, int *errorMessage)